package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合作院校对象 tb_school_partners
 * 
 * @author ruoyi
 * @date 2022-10-13
 */
public class TbSchoolPartners extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 院校id */
    @Excel(name = "院校id")
    private Long schoolId;

    private String schoolCnName;

    /** 合作院校的名称 */
    @Excel(name = "合作院校的名称")
    private String partnerName;

    /** 合作院校的图片 */
    @Excel(name = "合作院校的图片")
    private String partnerImage;

    private String creatorDesc;

    private String modifiedByDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setPartnerName(String partnerName) 
    {
        this.partnerName = partnerName;
    }

    public String getPartnerName() 
    {
        return partnerName;
    }
    public void setPartnerImage(String partnerImage) 
    {
        this.partnerImage = partnerImage;
    }

    public String getPartnerImage() 
    {
        return partnerImage;
    }

    public String getSchoolCnName() {
        return schoolCnName;
    }

    public void setSchoolCnName(String schoolCnName) {
        this.schoolCnName = schoolCnName;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolId", getSchoolId())
            .append("partnerName", getPartnerName())
            .append("partnerImage", getPartnerImage())
            .append("creator", getCreator())
            .append("createTime", getCreateTime())
            .append("modifiedBy", getModifiedBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
